---
title: ImageBitmap
slug: Web/API/ImageBitmap
tags:
  - API
  - Canvas
  - ImageBitmap
  - Interface
  - Reference
---
<div>{{APIRef("Canvas API")}}</div>

<p>The <code><strong>ImageBitmap</strong></code> interface represents a bitmap image which can be drawn to a {{HTMLElement("canvas")}} without undue latency. It can be created from a variety of source objects using the {{domxref("ImageBitmapFactories.createImageBitmap", "createImageBitmap()")}} factory method. <code>ImageBitmap</code> provides an asynchronous and resource efficient pathway to prepare textures for rendering in WebGL.</p>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{domxref("ImageBitmap.height")}} {{readonlyInline}}</dt>
 <dd>Is an <code>unsigned</code> <code>long</code> representing the height, in CSS pixels, of the <code>ImageData</code>.</dd>
 <dt>{{domxref("ImageBitmap.width")}} {{readonlyInline}}</dt>
 <dd>Is an <code>unsigned</code> <code>long</code> representing the width, in CSS pixels, of the <code>ImageData</code>.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<dl>
 <dt>{{domxref("ImageBitmap.close()")}}</dt>
 <dd>
 <p>Disposes of all graphical resources associated with an <code>ImageBitmap</code>.</p>
 </dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', "webappapis.html#imagebitmap", "ImageBitmap")}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.ImageBitmap")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("ImageBitmapFactories.createImageBitmap()")}}</li>
 <li>{{domxref("CanvasRenderingContext2D.drawImage()")}}</li>
 <li>{{domxref("WebGLRenderingContext.texImage2D()")}}</li>
 <li>{{domxref("OffScreenCanvas.transferToImageBitmap()")}}</li>
</ul>
